{---------------------------------------------------------------}
{            TableCurve 3D Pascal Code Output                   }
{       To modify generated output, edit PASCAL.TCL             }
{---------------------------------------------------------------}


{$IFDEF CPU87}
  {$N+,E-}     { 10 byte extended real, 80x87 in-line }
{$ELSE}
  {$N+,E+}     { 10 byte extended real, emulation on }
{$ENDIF}

type
  real  = extended;

var
  x,y,z      : real;
  st         : string[80];
  i,j        : integer;

type
  coef= array[0..80] of real;
  ar12= array[0..12] of real;
  ar70= array[0..70] of real;




{---------------------------------------------------------------}
function eqn1102 (x,y: real) :real;
{---------------------------------------------------------------}
{ TableCurve 3D }
{ File Source= p:\daten\tablecurv\an neue rezeptur (oat)\annreldruck oat.prn }
{ Date= Jun 18, 2012 }
{ Time= 11:51:40 AM }
{ Data Set= P:\DATEN\TABLECURV\AN neue Rezeptur (OAT)\relDruck }
{ X=  }
{ Y=  }
{ Z=  }
{ Eqn#= 1102}
{ Eqn= z=(a+bx+cx^2+dx^3+ey)/(1+fx+gx^2+hy+iy^2+jy^3) }
{ r2=0.9997509227589507 }
{ r2adj=0.9996678970119343 }
{ StdErr=0.01903985313235767 }
{ Fstat=13825.37600472228 }
{ a= 1.093092343634273 }
{ b= 0.006557092265129822 }
{ c= -0.0001117989968313311 }
{ d= 9.499967972665126E-07 }
{ e= 0.0004955006163651038 }
{ f= -0.005319612713154488 }
{ g= 1.599393161642259E-06 }
{ h= 0.008618370623176081 }
{ i= -8.33594638708784E-06 }
{ j= -8.917620329544368E-09 }
var  z : real;
var  z1,z2,z3,z4 : real;
begin
  z1 := 1.093092343634273409+x*(0.006557092265129822253+
    x*(-0.0001117989968313311414+x*9.499967972665125938E-07));
  z2 := y*0.0004955006163651037970;
  z3 := 1.000000000000000000+x*(-0.005319612713154487822+
    x*1.599393161642258610E-06);
  z4 := y*(0.008618370623176080861+
    y*(-8.335946387087839687E-06+y*-8.917620329544368194E-09));
  z := (z1+z2)/(z3+z4);
  eqn1102 := z;
end;

{---------------------------------------------------------------}

begin
  i := 1;
  repeat
    Writeln('Enter X: ');
    Readln(st);
    if(Length(st)=0) then i:=0 else Val(st,x,j);
    Writeln('Enter Y: ');
    Readln(st);
    if(Length(st)=0) then i:=0 else Val(st,y,j);
    if i=1 then
    begin
      z := eqn1102(x,y);
      Str(z:27:18,st);
      Writeln('Z= ',st);
    end;
  until i=0;
end.
